Update

Replaces an existing AllergyIntolerance resource by full resource replacement.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

PUT performs a complete replacement of the resource. Partial updates (PATCH) are not supported.

Required Scope

allergyintolerance.write

Example Request

curl -X PUT "https://sandbox.healthgorilla.com/fhir/R4/AllergyIntolerance/{id}"
-H "Authorization: Bearer <access_token>"
-H "Content-Type: application/fhir+json"
-H "Accept: application/fhir+json"
-d '{ "resourceType": "AllergyIntolerance", "id": "{id}" }'
Path Params
string
required

The FHIR resource ID of the AllergyIntolerance to update.

Body Params
string
required
Defaults to AllergyIntolerance

FHIR resource type for the request body.

string
required

Logical id of this artifact. Must match the ID in the request path.

Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json